package main

import (
	"github.com/gogf/gf/v2/frame/g"
	"github.com/gogf/gf/v2/net/ghttp"

	"demo/internal/controller"
)

func main() {

	s := g.Server()
	//TODO：加入中间件响应

	s.Group("/api", func(group *ghttp.RouterGroup) {
		group.Bind(new(controller.LoginController))
	})
	//swagger config
	s.SetOpenApiPath("/api.json")
	s.SetSwaggerPath("/swagger")
	//port & start server
	s.SetPort(8777)
	s.Run()
}
